poll compat wrapper: add cygwin support
authorMathieu Desnoyers <mathieu.desnoyers@efficios.com>
Thu, 24 May 2012 16:01:47 +0000 (12:01 -0400)
committerMathieu Desnoyers <mathieu.desnoyers@efficios.com>
Thu, 24 May 2012 16:01:47 +0000 (12:01 -0400)
Signed-off-by: Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
src/common/compat/poll.h

index 46200ac3e313effea9c198ef0dd061008341133e..99b608cce77cdca5595abd0afe2948eb9eae399f 100644 (file)
@@ -188,7 +188,7 @@ enum {
 #if __linux__
        LPOLLMSG = POLLMSG,
        LPOLLRDHUP = POLLRDHUP,
-#elif defined(__FreeBSD__)
+#elif (defined(__FreeBSD__) || defined(__CYGWIN__))
        LPOLLMSG = 0,
        LPOLLRDHUP = 0,
 #else
This page took 0.034688 seconds and 4 git commands to generate.